> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/cidr-block/describebyoipregionavailability.md).

# DescribeByoipRegionAvailability

## 1. API Description

This API (DescribeByoipRegionAvailability) is used to query the BYOIP support status of each line in each region, including supported, planned, and not supported.

{% hint style="info" %}
**Notes**

* This interface returns the BYOIP support status of each line in all regions on sale (including planned regions), which helps you understand the regional coverage of BYOIP.
* To query the BYOIP regions, lines, and CIDR blocks currently available for purchase, call [DescribeByoipRegions](/api-reference/zec/cidr-block/describebyoipregions.md).
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

None

## 3. Output Parameters

| Parameter Name | Type                                                                                            | Description                                                                                                           |
| -------------- | ----------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| regions        | Array of [ByoipRegionAvailability](/api-reference/zec/datastructure.md#byoipregionavailability) | List of BYOIP support information for regions.                                                                        |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query BYOIP region availability.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeByoipRegionAvailability
<Common Request Params>

Request:
{
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
    "regions": [
      {
        "regionId": "asia-southeast-1",
        "location": "Hong Kong",
        "lineAvailabilities": [
          {
            "network": "PremiumBGP",
            "status": "SUPPORTED"
          },
          {
            "network": "StandardBGP",
            "status": "COMING_SOON"
          }
        ]
      },
      {
        "regionId": "na-west-1",
        "location": "Los Angeles",
        "lineAvailabilities": [
          {
            "network": "PremiumBGP",
            "status": "NOT_SUPPORTED"
          },
          {
            "network": "StandardBGP",
            "status": "NOT_SUPPORTED"
          }
        ]
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
